Local Rulestacks - list Countries
List of countries for Rulestack
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/PaloAltoNetworks.Cloudngfw/localRulestacks/{localRulestackName}/listCountries?api-version=2025-10-08
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/PaloAltoNetworks.Cloudngfw/localRulestacks/{localRulestackName}/listCountries?api-version=2025-10-08&skip={skip}&top={top}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
local
|
path | True |
string |
LocalRulestack resource name |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
|
skip
|
query |
string |
||
|
top
|
query |
integer (int32) |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
|
Local |
|
Local |
LocalRulestacks_listCountries_MaximumSet_Gen
Sample request
POST https://management.azure.com/subscriptions/2bf4a339-294d-4c25-b0b2-ef649e9f5c27/resourceGroups/rgopenapi/providers/PaloAltoNetworks.Cloudngfw/localRulestacks/lrs1/listCountries?api-version=2025-10-08&skip=a6a321&top=20
Sample response
{
"nextLink": "https://management.azure.com/subscriptions/2bf4a339-294d-4c25-b0b2-ef649e9f5c27/resourceGroups/rgopenapi/providers/PaloAltoNetworks.Cloudngfw/localRulestacks/lrs1/listCountries?api-version=2025-10-08&$skiptoken=xyz",
"value": [
{
"description": "aaaaa",
"code": "aaaaaaaaaaaaaaaaaaaaaaaaa"
}
]
}
LocalRulestacks_listCountries_MinimumSet_Gen
Sample request
POST https://management.azure.com/subscriptions/2bf4a339-294d-4c25-b0b2-ef649e9f5c27/resourceGroups/rgopenapi/providers/PaloAltoNetworks.Cloudngfw/localRulestacks/lrs1/listCountries?api-version=2025-10-08
Sample response
{
"value": [
{
"code": "aaaaaaaaaaaaaaaaaaaaaaaaa"
}
]
}
Definitions
| Name | Description |
|---|---|
|
Countries |
Countries Response Object |
| Country |
Country Description |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
CountriesResponse
Countries Response Object
| Name | Type | Description |
|---|---|---|
| nextLink |
string (uri) |
The link to the next page of items |
| value |
Country[] |
The Country items on this page |
Country
Country Description
| Name | Type | Description |
|---|---|---|
| code |
string |
country code |
| description |
string |
code description |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |